> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wokelo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Newsfeed

> Fetches the latest news articles based on user-defined filters such as sentiment, geography, date range, and more. Results are returned directly in the response.

## Overview

The Newsfeed API fetches the latest news articles based on user-defined filters such as sentiment, geography, date range, and more. Results are returned directly in the API response.

## Endpoint Details

* **Method:** POST
* **Endpoint:** `/api/enterprise/newsfeed/news/`

## Authentication Requirements

* Include a valid JWT token in your request header
* If you don't have a token yet, you can get one from the `/auth/token/` endpoint first.

## Request

#### Header Parameters

<ParamField header="Authorization" type="string" required>
  JWT token obtained from the Authentication request
</ParamField>

#### Body Parameters

<ParamField body="industry" type="array">
  List of industry topics for which news articles should be fetched. E.g. `["Enterprise SaaS", "Cybersecurity"]`
</ParamField>

<ParamField body="category" type="array">
  List of news categories for which news articles should be fetched. E.g. `["Strategic Development", "Leadership & Governance"]`
</ParamField>

<ParamField body="blacklisted" type="array">
  List of publisher domains to exclude from results. E.g. `["example.com", "spam.com"]`
</ParamField>

<ParamField body="limit" type="integer">
  Maximum number of news articles to return. Default: `100`, Max: `1000`
</ParamField>

<ParamField body="offset" type="integer">
  Number of articles to skip before starting to return results.
</ParamField>

<ParamField body="published_date_after" type="string">
  Start date for filtering news (e.g. `"2024-01-01"`)
</ParamField>

<ParamField body="published_date_before" type="string">
  End date for filtering news (e.g. `"2024-12-31"`)
</ParamField>

<ParamField body="geo" type="string[]">
  List of 3-letter ISO country codes to filter by geography (e.g. `["USA", "GBR"]`)
</ParamField>

<ParamField body="sentiment" type="string">
  Filter by article sentiment. Accepted values: `positive`, `negative`, `neutral`
</ParamField>

<ParamField body="breaking_news" type="boolean">
  Set to `true` to fetch breaking news only.
</ParamField>

### Response

A successful response returns news articles directly.

#### Successful Response Fields

<ResponseField name="status" type="string">
  `"success"` if the request was processed successfully.
</ResponseField>

<ResponseField name="data" type="array">
  List of news articles.
</ResponseField>

<ResponseField name="count" type="integer">
  Number of results returned.
</ResponseField>

<ResponseField name="total" type="integer">
  Total number of matching articles.
</ResponseField>

<ResponseExample>
  ```json 200 theme={"system"}
  {
      "status": "success",
      "data": [
          {
              "id": 10633767,
              "url": "https://markets.businessinsider.com/news/stocks/ttec-recognized-...",
              "title": "TTEC Recognized as a Major Contender in Everest Group's 2026 Healthcare CXM Assessment",
              "ai_summary": "TTEC was recognized as a Major Contender in Everest Group's 2026 Healthcare CXM Intelligent Operations PEAK Matrix® Assessment.",
              "published_date": "2026-04-30 00:00:00",
              "source": "Wokelo",
              "geo": ["USA"],
              "sentiment": "Positive",
              "newsworthiness_impact": "Medium"
          }
      ],
      "count": 43,
      "total": 43,
      "limit": 100,
      "offset": 0
  }
  ```
</ResponseExample>


## OpenAPI

````yaml POST /api/enterprise/newsfeed/news/
openapi: 3.0.3
info:
  title: Wokelo API
  description: >
    Wokelo provides four categories of APIs for company and market intelligence:


    1. **Enrichment** – Company and Industry data using Wokelo database and
    alternative data. Supports multi-company requests.

    2. **Discovery** – Workflows for specific use-cases such as market map,
    target screening, and buyer screening.

    3. **Monitoring** – Real-time news monitoring for companies.

    4. **Workflow Automation** – Wokelo and custom research workflows executed
    within notebooks.


    Enrichment and Discovery APIs are managed through async requests; use the
    Supporting APIs to track status and export results in JSON.

    Workflow APIs are executed within notebooks and support export to PDF, PPT,
    DOC, or JSON.


    **Authentication:** All endpoints (except `/auth/token/`) require a Bearer
    JWT token in the `Authorization` header.
  version: 1.0.0
  contact:
    url: https://docs.wokelo.ai/contact
servers:
  - url: https://api.wokelo.ai
    description: Production server
security: []
tags:
  - name: Authentication
    description: Obtain JWT tokens for API access
  - name: Enrichment
    description: Retrieve structured data for companies and industries
  - name: Discovery
    description: Identify companies via market maps, buyer and target screening
  - name: Monitoring
    description: Real-time company news monitoring
  - name: Workflow Automation
    description: Research notebooks for companies, industries, and custom workflows
  - name: Supporting APIs
    description: >-
      Utility endpoints for search, file upload, request management, and report
      retrieval
externalDocs:
  description: Official Wokelo API Documentation
  url: https://docs.wokelo.ai/overview
paths:
  /api/enterprise/newsfeed/news/:
    post:
      tags:
        - Monitoring
      summary: Newsfeed
      description: >-
        Fetches the latest news articles based on user-defined filters such as
        sentiment, geography, date range, and more. Results are returned
        directly in the response.
      operationId: newsfeed
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                category:
                  type: array
                  description: >-
                    List of news categories to filter by. E.g. `["Strategic
                    Development", "Leadership & Governance"]`. See [News
                    Categories](../news-categories) for all available values.
                  items:
                    type: string
                    enum:
                      - Strategic Development
                      - Capital Markets & Transactions
                      - Leadership & Governance
                      - Workforce & Talent
                      - Financial Results & Performance
                      - Regulatory & Compliance
                      - Macro & Market Environment
                      - Market Dynamic
                      - Industry Disruption & Innovation
                      - Risk & Crisis Events
                      - Product Launches & Enhancements
                      - Partnerships & Alliances
                      - Geographic Expansion
                      - Operational Milestones
                      - Market Share & Positioning
                      - Digital Transformation
                      - Brand & Marketing Initiatives
                      - Research, Development & Innovation
                      - Sustainability & ESG
                      - Pricing & Commercial Strategy
                      - Equity Fund-Raising
                      - Debt Financing
                      - Mergers & Acquisitions
                      - Divestitures & Asset Sales
                      - IPOs & Follow-on Offerings
                      - SPAC Deals & De-SPACs
                      - Secondary Transactions
                      - Shareholder Returns (Buybacks & Dividends)
                      - Valuation Events
                      - Deal Flow & Volume Statistics
                      - Public-to-Private/Take-Private
                      - C-Suite Appointments & Departures
                      - Board Composition & Changes
                      - Succession Planning
                      - Organisational Restructuring
                      - Executive Commentary & Interviews
                      - Strategic Hiring
                      - Workforce Reductions
                      - Compensation & Benefits
                      - Culture & Workplace Practices
                      - Talent-Market Dynamics
                      - Earnings Releases
                      - Revenue & Growth Metrics
                      - Profitability & Margins
                      - Cash Flow & Capital Expenditure
                      - Guidance & Forecast Revisions
                      - Credit-Rating Actions
                      - Sector Performance Dashboards
                      - Regulatory Approvals & Certifications
                      - Policy & Legislative Changes
                      - Legal Proceedings & Litigation
                      - Compliance & Reporting Updates
                      - Intellectual Property
                      - Antitrust & Competition
                      - Data Privacy & Cybersecurity Regulation
                      - Tax & Accounting Rules
                      - Economic Indicators
                      - Monetary Policy
                      - Fiscal Policy
                      - Trade, Tariffs & Sanctions
                      - Consumer Behaviour & Spending
                      - Labor-Market Statistics
                      - Sector Outlook & Forecasts
                      - Market Indices Performance
                      - Institutional Flows & Positioning
                      - Sector Rotation
                      - Volatility & Risk Appetite
                      - FX & Commodity Pricing
                      - Liquidity Conditions
                      - Investor Sentiment
                      - Emerging Technologies
                      - Technology Adoption & Disruption
                      - Business-Model Evolution
                      - Competitive Threats
                      - Market-Structure Changes
                      - Geopolitical Risk
                      - Public-Health Crises
                      - Natural Disasters
                      - Operational Disruptions
                      - Cybersecurity Incidents
                      - Reputational Damage
                      - Financial Distress & Restructuring
                      - Supply-Chain Disruptions
                      - Awards, Rankings & Recognitions
                      - Conflicts of Interest & Related-Party Transactions
                      - Others
                  example:
                    - Strategic Development
                industry:
                  type: array
                  description: >-
                    List of industry topics for which news articles should be
                    fetched. See [Industry Names](../industry-names) for all
                    available values.
                  items:
                    type: string
                    enum:
                      - Agriculture & Food
                      - Agriculture & Food Production
                      - Advertising & Marketing
                      - Business & Public Services
                      - Corporate & Business Services
                      - Consumer & E-commerce
                      - Consumer Packaged Goods (CPG)
                      - Consumer Products & Retail
                      - Education
                      - Enterprise Software & Cloud
                      - Energy & Utilities
                      - Energy, Utilities & Environment
                      - Financial & Insurance
                      - Financial Services & Fintech
                      - Gaming & Entertainment
                      - Hardware, Technology & Telecom
                      - Healthcare & Life Sciences
                      - Home & Personal Services
                      - Industrials, Manufacturing & Construction
                      - Industrials & Manufacturing
                      - Data, AI & ML Infrastructure
                      - Media, Entertainment & Sports
                      - Public Sector & GovTech
                      - Real Estate & Construction
                      - Semiconductors & Electronics
                      - Telecommunications
                      - Travel & Hospitality
                      - Transportation & Logistics
                  example:
                    - Enterprise SaaS
                    - Cybersecurity
                blacklisted:
                  type: array
                  description: List of publisher domains to exclude from results.
                  items:
                    type: string
                  example:
                    - example.com
                    - spam.com
                limit:
                  type: integer
                  description: >-
                    Maximum number of news articles to return. Default: 100,
                    Max: 1000.
                  example: 100
                offset:
                  type: integer
                  description: >-
                    Number of articles to skip before starting to return
                    results.
                  example: 0
                published_date_after:
                  type: string
                  description: Start date for filtering news (e.g. `2024-01-01`).
                  example: '2026-04-01'
                published_date_before:
                  type: string
                  description: End date for filtering news (e.g. `2024-12-31`).
                  example: '2026-04-30'
                geo:
                  type: array
                  description: List of 3-letter ISO country codes to filter by geography.
                  items:
                    type: string
                  example:
                    - USA
                sentiment:
                  type: string
                  description: Filter by article sentiment.
                  enum:
                    - positive
                    - negative
                    - neutral
                  example: positive
                breaking_news:
                  type: boolean
                  description: Set to `true` to fetch breaking news only.
                  example: true
              example:
                breaking_news: true
                geo:
                  - USA
                sentiment: positive
                published_date_after: '2026-04-01'
                published_date_before: '2026-04-30'
      responses:
        '200':
          description: News articles returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: array
                    description: List of news articles.
                  count:
                    type: integer
                    description: Number of results returned.
                  total:
                    type: integer
                    description: Total number of matching articles.
                  limit:
                    type: integer
                  offset:
                    type: integer
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token obtained from the `/auth/token/` endpoint.

````